## debarchiver 0.1.8

=== conf/Makefile ===
all:

install: debarchiver.conf
	mkdir -p $(DESTDIR)/etc
	install -m644 debarchiver.conf $(DESTDIR)/etc

clean:

=== man/Makefile ===
export DDATE=`date`

all: debarchiver.1.gz debarchiver.fr.1.gz

debarchiver.pod:
	podselect ../src/debarchiver.pl > $@

debarchiver.fr.pod:
	po4a po4a.cfg

debarchiver.1: debarchiver.pod
	pod2man	--section=1 \
                --release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

debarchiver.fr.1: debarchiver.fr.pod
	pod2man	--section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

%.1.gz: %.1
	gzip -9 -c $^ > $@

install:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m644 debarchiver.1.gz \
		$(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/man/fr/man1
	install -m644 debarchiver.fr.1.gz \
		$(DESTDIR)/usr/share/man/fr/man1/debarchiver.1.gz

clean:
	-rm -f po/debarchiver.pot
	-rm -f *.pod
	-rm -f *.1.gz
	-rm -f *.1

=== src/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/usr/bin
	install -m755 debarchiver.pl $(DESTDIR)/usr/bin/debarchiver

clean:

## debarchiver 0.0.18

=== debian/changelog ===
debarchiver (0.0.18) unstable; urgency=low

  * Added binary arch target, closes: #131559.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Feb 2002 09:28:12 +0100

debarchiver (0.0.17) unstable; urgency=low

  * Fixed lock file issues, closes: #130813.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Jan 2002 00:59:38 +0100

debarchiver (0.0.16) unstable; urgency=low

  * Better lockfile handling, closes: #113627.
  * Error handling when changing directory, closes: #111010.
  * Documented how non-US is handled, closes: #120474.

 -- Ola Lundqvist <opal@debian.org>  Wed, 23 Jan 2002 11:33:37 +0100

debarchiver (0.0.15) unstable; urgency=low

  * Fixed the policy violation of alias handling, closes: #127397.
  * Fixed missing dpkg-dev dependency, closes: #119494.

 -- Ola Lundqvist <opal@debian.org>  Tue, 15 Jan 2002 22:00:58 +0100

debarchiver (0.0.14) unstable; urgency=low

  * Fix postinst typo, closes: #115075.

 -- Ola Lundqvist <opal@debian.org>  Wed, 10 Oct 2001 14:14:11 +0200

debarchiver (0.0.13) unstable; urgency=low

  * Documented the use of a cronjob, closes: #110587.
  * Fixed removal scripts, closes: #112063.
  * Sets up an alias, closes: #110587.
  * Fixed --scanll to --scanall.
  * Made the README file more clear.

 -- Ola Lundqvist <opal@debian.org>  Thu, 13 Sep 2001 23:26:06 +0200

debarchiver (0.0.12) unstable; urgency=low

  * Change distr -> dists.
  * Fixed postrm problem, closes: #109105.
  * Fixed lockfile problem, closes: #109104.

 -- Ola Lundqvist <opal@debian.org>  Mon, 20 Aug 2001 15:09:02 +0200

debarchiver (0.0.11) unstable; urgency=low

  * Added user and group debarchiver for archive opertations.
  * Fixed so that the user config is really used.
  * Updated the readme file.
  * Fixed and updated the manpage, closes: #108148.
  * Changed so that it will be runned every 5 minutes instead of one
    every hour.
  * Added todo item.
  * Fixed so that the input.conf file will really be loaded.

 -- Ola Lundqvist <opal@debian.org>  Fri, 16 Aug 2001 11:38:48 +0200

debarchiver (0.0.10) unstable; urgency=low

  * Fixed installation problem with .changes file when installing to
    multiple distrs.

 -- Ola Lundqvist <opal@debian.org>  Thu,  2 Aug 2001 15:52:38 +0200

debarchiver (0.0.9) unstable; urgency=low

  * Fixed bug with sorting to several distributions.

 -- Ola Lundqvist <opal@debian.org>  Thu,  2 Aug 2001 15:30:25 +0200

debarchiver (0.0.8) unstable; urgency=low

  * Can now sort packages to more than one destination archive. For
    example to both unstable and stable.
  * Option --instcmd is now obsolete. Replaced by a copycmd, movecmd and
    rmcmd option.

 -- Ola Lundqvist <opal@debian.org>  Thu, 26 Jul 2001 19:05:44 +0200

debarchiver (0.0.7) unstable; urgency=low

  * Added regenerate all option.
  * Can scan only, or fix structure only too, with some more options.

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Jul 2001 10:42:13 +0200

debarchiver (0.0.6) unstable; urgency=low

  * Fixed concatenation problem.

 -- Ola Lundqvist <opal@debian.org>  Wed, 18 Jul 2001 09:11:36 +0200

debarchiver (0.0.5) unstable; urgency=low

  * Fixed 404 error.

 -- Ola Lundqvist <opal@debian.org>  Tue, 17 Jul 2001 10:14:51 +0200

debarchiver (0.0.4) unstable; urgency=low

  * Fixed link error.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Jul 2001 11:23:21 +0200

debarchiver (0.0.3) unstable; urgency=low

  * Added automatic creation of the directory structure.

 -- Ola Lundqvist <opal@debian.org>  Sat, 14 Jul 2001 20:06:21 +0200

debarchiver (0.0.2) unstable; urgency=low

  * Fixed problems with Package file generation. It did not regenerate
    the Packages files properly. Now the scanpackages are relative to the
    destdir and nothing else.
  * Added test to cron.
  * Fixed strange output and unexpected exit.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jul 2001 17:56:52 +0200

debarchiver (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@debian.org>  Wed, 27 Jun 2001 16:15:47 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debarchiver
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18)
Standards-Version: 3.5.2

Package: debarchiver
Architecture: all
Depends: opalmod (>= 0.1.6), dpkg-dev
Description: Tool to handle debian package archives.
 This tool can create a potato like file structure that dselect,
 apt-get and similar tools can use for easier installation.
 .
 You just have to place the package files into a incoming
 directory and the tool does the sorting (if you place the
 generated '.changes' file there too).
 .
 OBSERVE! This package will create a cronjob that does the
 actual sorting.

## debarchiver 0.0.35

=== debian/changelog ===
debarchiver (0.0.35) unstable; urgency=low

  * Option -i should override etcconfig and userconfig but not inputdir
    option, closes: #207051.
  * Applied patch from Achim Derigs <achim.derigs@innovidata.com> that
    fixes an Packages file not found error, closes: #192433.
  * Updated standards version to 3.5.10.

 -- Ola Lundqvist <opal@debian.org>  Thu, 28 Aug 2003 11:37:55 +0200

debarchiver (0.0.34) unstable; urgency=low

  * Added dependency on adduser.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Aug 2003 14:35:37 +0200

debarchiver (0.0.33) unstable; urgency=low

  * Fixed a bug in the email code. The changesfile was removed before it
    was checked for owner, closes: #196922.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Jun 2003 21:39:21 +0200

debarchiver (0.0.32) unstable; urgency=low

  * Fixing option error, closes: #193791.
  * Added -t to logger in default cron-job.

 -- Ola Lundqvist <opal@debian.org>  Mon, 19 May 2003 08:41:08 +0200

debarchiver (0.0.31) unstable; urgency=low

  * Added shortcut options for common operations.

 -- Ola Lundqvist <opal@debian.org>  Tue, 13 May 2003 07:26:23 +0200

debarchiver (0.0.30) unstable; urgency=low

  * Fixed postinst so that is uses getend instead of directly grep for
    user in passwd file.

 -- Ola Lundqvist <opal@debian.org>  Mon, 12 May 2003 21:26:21 +0200

debarchiver (0.0.29) unstable; urgency=low

  * Fixed cron documentation in cron file.
  * Now the cron-script will log messages instead of sending email.
    Little modification in the source was needed.
  * Changed so that correct home directory will be created for new
    debarchiver account. Old ones still have to be corrected manually.
  * Added support for the debarchiver tool to send email about
    successful and rejected packages. This code is experimental but seems
    to be working fine.
  * Updated license information.

 -- Ola Lundqvist <opal@debian.org>  Wed, 12 Feb 2003 07:00:26 +0100

debarchiver (0.0.28) unstable; urgency=low

  * Updated debarchiver config so that it matches the current release
    state.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Feb 2003 22:08:58 +0100

debarchiver (0.0.27) unstable; urgency=low

  * Added gpg verification code using patch from Joel Baker
    <lucifer@lightbearer.com>, closes: #143095.

 -- Ola Lundqvist <opal@debian.org>  Fri,  7 Feb 2003 09:07:06 +0100

debarchiver (0.0.26) unstable; urgency=low

  * Enforce working opalmod version.
  * Fixed manpage, using suggestion from
    Tomas Pospisek <tpo_deb@sourcepole.ch>, closes: #142392.

 -- Ola Lundqvist <opal@debian.org>  Wed,  5 Feb 2003 18:29:18 +0100

debarchiver (0.0.25) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Removed full stop from package description.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Jan 2003 17:48:42 +0100

debarchiver (0.0.24) unstable; urgency=low

  * Some fixes so it run nicely, thanks to Stephen Peters
    <portnoy@portnoy.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Nov 2002 06:54:00 +0100

debarchiver (0.0.23) unstable; urgency=low

  * Fixed compile error, closes: #169538, #169388.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Nov 2002 09:55:42 +0100

debarchiver (0.0.22) unstable; urgency=low

  * Fixed override creation problem on new distributions.

 -- Ola Lundqvist <opal@debian.org>  Fri, 15 Nov 2002 09:46:58 +0100

debarchiver (0.0.21) unstable; urgency=low

  * Bugfix, typo error in debarchiver.pl, closes: #169093, #169094,
    #169127.

 -- Ola Lundqvist <opal@debian.org>  Fri, 15 Nov 2002 06:56:25 +0100

debarchiver (0.0.20) unstable; urgency=low

  * Minor security check.

 -- Ola Lundqvist <opal@debian.org>  Thu,  7 Nov 2002 07:09:18 +0100

debarchiver (0.0.19) unstable; urgency=low

  * Fixed bug with patch from Werner Fleck <wf@flexoft.net>, closes:
    #14920.

 -- Ola Lundqvist <opal@debian.org>  Fri,  9 Aug 2002 22:56:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18)
-Standards-Version: 3.5.2
+Standards-Version: 3.5.10
 
 Package: debarchiver
 Architecture: all
-Depends: opalmod (>= 0.1.6), dpkg-dev
-Description: Tool to handle debian package archives.
+Depends: opalmod (>= 0.1.10), dpkg-dev, adduser
+Suggests: devscripts
+Description: Tool to handle debian package archives
  This tool can create a potato like file structure that dselect,
  apt-get and similar tools can use for easier installation.
  .

## debarchiver 0.1.2

=== debian/changelog ===
debarchiver (0.1.2) unstable; urgency=low

  * Applied patch from Valery Perrin <valery.perrin.debian@free.fr> that
    makes the manpage more readable, closes: #288108.

 -- Ola Lundqvist <opal@debian.org>  Sat,  1 Jan 2005 20:10:25 +0100

debarchiver (0.1.1) unstable; urgency=low

  * Fixed debarchiver path example in configuration, closes: #276347.

 -- Ola Lundqvist <opal@debian.org>  Mon, 18 Oct 2004 22:29:08 +0200

debarchiver (0.1.0) unstable; urgency=medium

  * Now it will remove /var/cache/debarchiver on purge.
  * Updated minor version number because of the distribution remapping.
    Also decided to use a more common version numbering system.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Sep 2004 10:30:37 +0200

debarchiver (0.0.40) unstable; urgency=high

  * Remapping of distribution releases. Needed for sarge release.
    In this release sarge is considered stable and etch is testing.

 -- Ola Lundqvist <opal@debian.org>  Wed,  8 Sep 2004 15:03:01 +0200

debarchiver (0.0.39) unstable; urgency=low

  * Fixed spelling with distinputcriteria, closes: #182408.
  * Added testing to distinput dirs. Also documented this better in source
    and config.
  * Documented a bit more clear so that it is not so easy to misunderstand
    the distributions and distributionmappings.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Aug 2004 09:23:50 +0200

debarchiver (0.0.38) unstable; urgency=low

  * Applied patch from Russ Allbery <rra@stanford.edu> that add support
    for automatic generation of apt-ftparchive config files and more...
   - The --index option no longer takes a configuration file.  Instead, the
   configuration file is always automatically generated from the
   debarchiver configuration.
   - Only the changed distribution is reindexed, if there are multiple
   distributions.  apt-ftparchive has to index a distribution at a time,
   in order to generate accurate Contents files, so there's no way to be
   more granular with the --index option unfortunately.
   - apt-ftparchive is automatically configured to use a cache for package
   information.  By default, that cache is stored in
   /var/cache/debarchiver, and the debian control files are updated below
   to create and deal with that directory like the other /var/lib
   directories that are created.
   - A new --cachedir command-line option and a new $cachedir configuration
   variable have been added to configure where the apt-ftparchive cache
   will be stored.  I updated the sample configuration file to mention it.
   - Release files are no longer generated in directories where one of the
   components of the directory (up to the root of the archive) is a
   symlink.  This is to keep Release files from being constantly
   regenerated when there's a testing -> unstable symlink, going back and
   forth between testing and unstable.  I generalized this check, just in
   case someone is crazy enough to link non-free to main or binary-i386
   to binary-alpha or something bizarre like that.
   - $release changed to $contents per previous discussion.
   - I noticed that override.src was getting touched only if override didn't
   exist, rather than checking for override.src, resulting in override.src
   not being created when the directory archive structure was being fixed.
   That's been fixed.
   - Some minor formatting fixes in the --help and POD documentation.
  * Created AUTHORS file to accnowledge the people helping with this package.
  * Added option -x as an alias for --index.
  * Fixed documentation so that '--index config' is replaced with '--index'.
    Also added a not about that apt-ftparchive is not fully tested.
  * Added option --scandetect or -s that probe for apt-ftparchive or
    dpkg-scan* and use the installed one. Apt-ftparchive is the preferred
    method.
  * Changed from suggest of apt-utils to depend on apt-utils or dpkg-dev.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Aug 2004 10:08:59 +0200

debarchiver (0.0.37) unstable; urgency=low

  * Better support for apt-ftparchive. Patch is from Russ Allbery
    <rra@stanford.edu>.
  * Applied patch from from Russ Allbery <rra@stanford.edu>, that add
    support for Release file creation. Closes: #143155.
  * Added suggest on apt-utils.
  * Added release hash to config file too.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Aug 2004 17:08:24 +0200

debarchiver (0.0.36) unstable; urgency=low

  * Applied patch from Russ Allbery <rra@stanford.edu>, that add support
    for using apt-ftparchive instead of dpkg-scanpackages and dpkg-
    scansources. Closes: #262206. It is really a great move in the right
    direction as some problems with debarchiver will be solved this way.
    The best thing with this option is that it will be a lot faster.
    Later this should be the default.
  * Removed emacs variables in the end of this changelog.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Fri,  6 Aug 2004 12:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18)
-Standards-Version: 3.5.10
+Standards-Version: 3.6.1
 
 Package: debarchiver
 Architecture: all
-Depends: opalmod (>= 0.1.10), dpkg-dev, adduser
+Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
 Suggests: devscripts
 Description: Tool to handle debian package archives
  This tool can create a potato like file structure that dselect,

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

export DEST=$(PWD)/debian/debarchiver
export DDATE=`date`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	pod2man --section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		src/debarchiver.pl > debian/debarchiver.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm debian/debarchiver.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/debarchiver.
	cp src/debarchiver.pl $(DEST)/usr/bin/debarchiver
	cp debian/debarchiver.conf $(DEST)/etc

binary-arch: 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples debian/debarchiver.cron.d
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	cp debian/debarchiver.1 $(DEST)/usr/share/man/man1
	gzip -9 $(DEST)/usr/share/man/man1/*.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary install configure

## debarchiver 0.1.8

=== debian/changelog ===
debarchiver (0.1.8) unstable; urgency=low

  * Rewrote install structure to use makefiles instead of just the
    debian/rules file. At the same time a file permission problem was
    fixed, closes: #292174.

 -- Ola Lundqvist <opal@debian.org>  Wed, 13 Apr 2005 22:28:20 +0200

debarchiver (0.1.7) unstable; urgency=low

  * Added README.dscverify contributed by Daniel Leidert
    <daniel.leidert@wgdd.de>.

 -- Ola Lundqvist <opal@debian.org>  Wed, 13 Apr 2005 21:47:16 +0200

debarchiver (0.1.6) unstable; urgency=low

  * Applied patch from Valery Perrin <valery.perrin@free.fr> that add a
    French translation and support for po4a translations, closes:
    #297049.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Feb 2005 15:53:10 +0100

debarchiver (0.1.5) unstable; urgency=low

  * Fix default group write permissions in incoming subdirectories,
    closes: #292174.

 -- Ola Lundqvist <opal@debian.org>  Wed, 26 Jan 2005 10:36:57 +0100

debarchiver (0.1.4) unstable; urgency=low

  * Added a notice that /var/lib/debarchiver is intentionally not
    removed on purge, closes: #287149.

 -- Ola Lundqvist <opal@debian.org>  Mon, 10 Jan 2005 21:57:09 +0100

debarchiver (0.1.3) unstable; urgency=low

  * Applied a patch from Tommaso Moroni <moronito@debian.org> that fix a
    number of typo errors, closes: #289618.

 -- Ola Lundqvist <opal@debian.org>  Mon, 10 Jan 2005 21:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18)
+Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18), po4a
 Standards-Version: 3.6.1
 
 Package: debarchiver

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=2
-
-export DEST=$(PWD)/debian/debarchiver
-export DDATE=`date`
 
 configure: configure-stamp
 configure-stamp:
@@ -23,10 +20,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	pod2man --section=1 \
-		--release="Debarchiver " \
-		--date="$(DDATE)" \
-		src/debarchiver.pl > debian/debarchiver.1
+	$(MAKE)
 
 	touch build-stamp
 
@@ -36,7 +30,7 @@
 	-rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-rm debian/debarchiver.1
+	$(MAKE) clean
 
 	dh_clean
 
@@ -47,8 +41,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/debarchiver.
-	cp src/debarchiver.pl $(DEST)/usr/bin/debarchiver
-	cp debian/debarchiver.conf $(DEST)/etc
+	$(MAKE) install	DESTDIR=$(CURDIR)/debian/debarchiver
 
 binary-arch: 
 
@@ -66,15 +59,13 @@
 #	dh_installmime
 #	dh_installinit
 	dh_installcron
-	cp debian/debarchiver.1 $(DEST)/usr/share/man/man1
-	gzip -9 $(DEST)/usr/share/man/man1/*.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
-	dh_fixperms
+	dh_fixperms -Xvar/lib/debarchiver/incoming
 #	dh_makeshlibs
 	dh_installdeb
 	dh_perl

## debarchiver 0.3.2

=== debian/changelog ===
debarchiver (0.3.2) unstable; urgency=low

  * Improved argument handling to make debugging easier.
  * Minor typo fix in debarchiver.conf, closes: #309940.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Jul 2005 18:00:21 +0200

debarchiver (0.3.1) unstable; urgency=low

  * Updated French manpage translation, thanks to
    Valery Perrin <valery.perrin.debian@free.fr>.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 May 2005 21:58:56 +0200

debarchiver (0.3.0) unstable; urgency=low

  * Applied a patch from Daniel Leidert <daniel.leidert@wgdd.de> that
    add support for optional verification of signatures in
    distinputputdirs, with README updates.

 -- Ola Lundqvist <opal@debian.org>  Sat,  7 May 2005 10:03:41 +0200

debarchiver (0.2.1) unstable; urgency=low

  * Bugfix for bzip2 support.

 -- Ola Lundqvist <opal@debian.org>  Mon,  2 May 2005 17:49:11 +0200

debarchiver (0.2.0) unstable; urgency=low

  * Applied patch from Bob Proulx <bob@proulx.com> that add .changes
    file support to dist input directories.
  * Make sure that .changes files are processed before any .deb files
    to avoid a race condition.
  * Applied patch from Daniel Leidert <daniel.leidert.spam@gmx.net> to
    support bzip2 file generation and also fix so that contents-all
    files is generated too, closes: #304532, #307004.
  * Added a README file from Daniel Leidert <daniel.leidert@wgdd.de>
    that document how to publish the repository.
  * Verification of chages files are now much more complete. Owner
    size and that all files exist is checked before handling.

 -- Ola Lundqvist <opal@debian.org>  Sun,  1 May 2005 13:09:49 +0200

## debarchiver 0.5.4

=== debian/changelog ===
debarchiver (0.5.4) unstable; urgency=low

  * Applied fix from Russ Allbery <rra@stanford.edu> that reallow
    interactive gpg signing of Release files, closes: #338012.

 -- Ola Lundqvist <opal@debian.org>  Mon,  7 Nov 2005 21:48:55 +0100

debarchiver (0.5.3) unstable; urgency=low

  * Applied patch from Daniel Leidert <daniel.leidert.spam@gmx.net> that
    make the signhelper script obsolete. Also correct signing so it work
    from a cron-job and not just from a tty.
  * Made sure that the signhelper command is not installed, and removed
    from the source tree.

 -- Ola Lundqvist <opal@debian.org>  Fri, 14 Oct 2005 08:34:17 +0200

debarchiver (0.5.2) unstable; urgency=low

  * Applied patch from Daniel Leidert that correct the following issues:
    - fix for the $signcmd-issues
    - fix for debarchiver.conf (signcmd default and gpgpassfile info)
    - updates to all old FSF addresses
    - fix to include README.gnupg instead of README.dscverify

 -- Ola Lundqvist <opal@debian.org>  Thu, 13 Oct 2005 11:20:20 +0200

debarchiver (0.5.1) unstable; urgency=low

  * Applied patch from Daniel Leidert <daniel.leidert.spam@gmx.net> that
    fix the last (hopefully) issues with signed release files, closes:
    #333182.

 -- Ola Lundqvist <opal@debian.org>  Tue, 11 Oct 2005 21:01:02 +0200

debarchiver (0.5.0) unstable; urgency=low

  * Added a new command line option --configfile, inspired by patch from
    Alexander Wirt <formorer@debian.org>, closes: #331425.
  * Added a helper script to sign release files. It could be implemented using
    some perl cpan module but I decided not to do so, closes: #328883.
  * Updated copyright information in README and source files.
  * Updated French translation. Thanks to Valery Perrin
    <valery.perrin.debian@free.fr> for that valuable help, closes:
    #329254.

 -- Ola Lundqvist <opal@debian.org>  Sat,  8 Oct 2005 16:51:08 +0200

debarchiver (0.4.2) unstable; urgency=low

  * Fix from Daniel Leidert <daniel.leidert.spam@gmx.net> regarding
    a bug in generateRelease, closes: #328449.

 -- Ola Lundqvist <opal@debian.org>  Fri, 16 Sep 2005 22:46:59 +0200

debarchiver (0.4.1) unstable; urgency=low

  * Fix for signed release file support, closes: #326195.
    Thanks to Joergen Haegg <jorgen.hagg@axis.com> for the fix.
  * Made it possible to read gpg password from file and added options
    to manage gpg support, closes: #324191, #317472.

 -- Ola Lundqvist <opal@debian.org>  Fri,  9 Sep 2005 22:10:14 +0200

debarchiver (0.4.0) unstable; urgency=low

  * Applied patch from Russ Allbery <rra@stanford.edu> to allow signed
    release files, closes: #324191.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Aug 2005 21:11:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: debarchiver
 Architecture: all
 Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
-Suggests: devscripts
+Suggests: devscripts, gnupg
 Description: Tool to handle debian package archives
  This tool can create a potato like file structure that dselect,
  apt-get and similar tools can use for easier installation.

## debarchiver 0.6.2

=== Makefile ===
DIRS=man conf src

all install clean::
	for d in $(DIRS) ; do \
		make -C $$d $@ ; \
	done

install::
	mkdir -p $(DESTDIR)/var/cache/debarchiver
	mkdir -p $(DESTDIR)/var/lib/debarchiver/dists
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/stable
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/testing
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/unstable
	chmod -Rf g+ws $(DESTDIR)/var/lib/debarchiver/incoming

=== debian/changelog ===
debarchiver (0.6.2) unstable; urgency=low

  * Documented default configuration options, closes: #373840.
  * Corrected version number, closes: #374298.
  * Corrected unknown character problem, closes: #374297.
  * Corrected so that debhelper is now build depends instead of build
    depends indep.
  * Updated to standards version 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Jul 2006 00:11:53 +0200

debarchiver (0.6.1) unstable; urgency=low

  * Small fix for udeb support, closes: #358144.
    Thanks to Jeremy Bobbio <jeremy.bobbio@etu.upmc.fr> for the fix.

 -- Ola Lundqvist <opal@debian.org>  Sat, 25 Mar 2006 17:45:45 +0100

debarchiver (0.6.0) unstable; urgency=low

  * Applied patch from Yaroslav Halchenko <debian@onerussian.com> that
    add a new feature called --majordefault to make it possible to
    define another major target instead of main if it is not defined in
    the source, closes: #354430.
  * Changed the patch described above so it is fully documented and renamed
    it so it integrate better with the other functions.

 -- Ola Lundqvist <opal@debian.org>  Sun, 26 Feb 2006 13:56:43 +0100

debarchiver (0.5.5) unstable; urgency=low

  * Applied patch from Geoff Crompton
    <geoff.crompton@strategicdata.com.au> to avoid duplicated emails,
    closes: #339696.
  * Documented a feature that I was not aware of myself, closes: #335830.
  * Updated french documentation, closes: #338510.
  * Updated to standards version 3.6.2.
  * Updated to debhelper compatibility 4.
  * Removed debian/debarchiver.conffiles because of higher debhelper
    compatibility.

 -- Ola Lundqvist <opal@debian.org>  Sat, 28 Jan 2006 22:24:35 +0100

## debarchiver 0.6.5~bpo.1

=== conf/Makefile ===
all:

install: debarchiver.conf
	mkdir -p $(DESTDIR)/etc
	install -m644 debarchiver.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/etc/logcheck/ignore.workstation.d/
	install -m644 debarchiver.logcheck $(DESTDIR)/etc/logcheck/ignore.workstation.d/debarchiver

clean:

=== debian/changelog ===
debarchiver (0.6.5~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- martin f. krafft <madduck@debian.org>  Fri, 20 Oct 2006 23:51:48 +0200

debarchiver (0.6.5) unstable; urgency=low

  * Check the existance of userdel and groupdel before using that
    command in purge phaes, closes: #390187.

 -- Ola Lundqvist <opal@debian.org>  Fri, 29 Sep 2006 20:50:05 +0200

debarchiver (0.6.4) unstable; urgency=low

  * Updated french translation and french addendum with files provided
    by Valery Perrin <valery.perrin.debian@free.fr>, closes: #386047.
  * Added logcheck configuration for workstation, closes: #372298.
    Thanks to Martin F Krafft <madduck@debian.org> for the config file.

 -- Ola Lundqvist <opal@debian.org>  Tue,  5 Sep 2006 07:38:36 +0200

debarchiver (0.6.3) unstable; urgency=low

  * Applied a patch from Michael Hanke <michael.hanke@gmail.com> to make
    it possible to upload files to two dists sharing the same orig file,
    closes: #372130.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Jul 2006 10:04:22 +0200

## debarchiver 0.7.0

=== debian/changelog ===
debarchiver (0.7.0) unstable; urgency=medium

  * Updated to match that etch will be stable.

 -- Ola Lundqvist <opal@debian.org>  Fri,  8 Dec 2006 21:53:09 +0100

debarchiver (0.6.6) unstable; urgency=low

  * Applied a correction from Hakon Stordahl <haastord@online.no> that
    correct problems with incoming, closes: #400691, #375932.
  * Sorted options in alphabetical order, closes: #323612.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Nov 2006 08:50:40 +0100

## debarchiver 0.7.3

=== debian/changelog ===
debarchiver (0.7.3) unstable; urgency=medium

  * Correction of French translation for index option, closes: #409301.

 -- Ola Lundqvist <opal@debian.org>  Fri,  2 Feb 2007 07:25:12 +0100

debarchiver (0.7.2) unstable; urgency=low

  * Upgrade code to handle moved logcheck configuration file.
    This avoids an error text during the upgrade as well.
    (It can be seen as a correction of #408483).

 -- Ola Lundqvist <opal@debian.org>  Sun, 28 Jan 2007 18:29:32 +0100

debarchiver (0.7.1) unstable; urgency=low

  * Correction of logcheck location issue, closes: #408483.

 -- Ola Lundqvist <opal@debian.org>  Fri, 26 Jan 2007 21:04:19 +0100

## debarchiver 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS=man conf src
+DIRS=po4a conf src
 
 all install clean::
 	for d in $(DIRS) ; do \

=== conf/Makefile ===
all:

install: debarchiver.conf
	mkdir -p $(DESTDIR)/etc
	install -m644 debarchiver.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/etc/logcheck/ignore.d.workstation/
	install -m644 debarchiver.logcheck $(DESTDIR)/etc/logcheck/ignore.d.workstation/debarchiver

clean:

=== po4a/Makefile ===
export DDATE=`LANG=C date`

all: debarchiver.1.gz debarchiver.fr.1.gz

debarchiver.pod:
	podselect ../src/debarchiver.pl > $@

debarchiver.fr.pod:
	po4a po4a.cfg

debarchiver.1: debarchiver.pod
	pod2man	--section=1 \
                --release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

debarchiver.fr.1: debarchiver.fr.pod
	pod2man	--section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

%.1.gz: %.1
	gzip -9 -c $^ > $@

install:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m644 debarchiver.1.gz \
		$(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/man/fr/man1
	install -m644 debarchiver.fr.1.gz \
		$(DESTDIR)/usr/share/man/fr/man1/debarchiver.1.gz

clean:
	-rm -f *.pod
	-rm -f *.1.gz
	-rm -f *.1

=== src/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/usr/bin
	install -m755 debarchiver.pl $(DESTDIR)/usr/bin/debarchiver
	mkdir -p $(DESTDIR)/usr/lib/debarchiver/signhelper

clean:

=== debian/changelog ===
debarchiver (0.8.0) unstable; urgency=low

  * Applied patch from Turbo Fredriksson <turbo@bayour.com> to:
      - correct reject message.
      - only stat existing files.
      - allow distmapping for files as well.
      - ignore files already installed with correct MD5 hash.
  * End configuration file with 1;
  * Now check changes file for already installed files.
  * Instead of always rejecting (as suggested by Turbo) incomplete files,
    the time is now configurable (minor version number bump).
  * Configuration files need to return a true value is now documented.
    Closes: #443405.
  * Documented when a file can be rejected, closes: #323614.
  * Added option to specify mail sender, closes: #425936.
  * Applied some more patches from Turbo Fredriksson <turbo@bayour.com> to:
      - correct getMD5HashForFile function
      - change so that foreach use my variables
      - check incomplete time only once
      - allow forcing an install of an upload (i.e., ignore existing files in
        destdir)
      - Create reject log code.
  * Cleanup and documentation after patches from Turbo and
    changed "force" option to "ignoredestcheck" option.
  * This new option is now in the configuration file as well.

 -- Ola Lundqvist <opal@debian.org>  Tue,  9 Oct 2007 22:38:52 +0200

debarchiver (0.7.4) unstable; urgency=low

  * Changed severity level for configuration file problems from info to
    warning, so that it is displayed in the normal case.
  * Changed official homepage.

 -- Ola Lundqvist <opal@debian.org>  Tue, 14 Aug 2007 08:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18), po4a
-Standards-Version: 3.6.1
+Build-Depends-Indep: perl (>= 5.6.0-16), po4a
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: debarchiver
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## debarchiver 0.8.2

=== debian/changelog ===
debarchiver (0.8.2) unstable; urgency=low

  * Changed upstream address from opalsys.net to inguza.com.

 -- Ola Lundqvist <opal@debian.org>  Mon,  7 Apr 2008 19:22:28 +0200

debarchiver (0.8.1) unstable; urgency=low

  * Added dependency on mailutils | bsd-mailx | mailx as that software
    is needed for full functionality, closes: #472491.

 -- Ola Lundqvist <opal@debian.org>  Mon, 24 Mar 2008 18:31:08 +0100

## debarchiver 0.8.3

=== po4a/Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+#
+#   Copyright (C) 2000-2008 Ola Lundqvist <ola@inguza.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+# MA 02110-1301 USA.
+
 export DDATE=`LANG=C date`
 
 all: debarchiver.1.gz debarchiver.fr.1.gz

=== debian/changelog ===
debarchiver (0.8.3) unstable; urgency=high

  * Updated to show that lenny is stable and squeeze is testing as it
    will be after the release.

 -- Ola Lundqvist <opal@debian.org>  Thu,  4 Sep 2008 08:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: debarchiver
 Architecture: all
-Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
+Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, mailutils | bsd-mailx | mailx
 Suggests: devscripts, gnupg
 Description: Tool to handle debian package archives
  This tool can create a potato like file structure that dselect,

## debarchiver 0.8.4

=== debian/changelog ===
debarchiver (0.8.4) unstable; urgency=low

  * Corrected path error in README.gnupg, closes: #502060. Thanks for
    the clarification from Per Eric Rosen <per@rosnix.net>

 -- Ola Lundqvist <opal@debian.org>  Sat, 18 Oct 2008 15:21:35 +0200

## debarchiver 0.9.3

=== debian/changelog ===
debarchiver (0.9.3) unstable; urgency=low

  * Applied patch from Franck Joncourt to make sure that mailformat has
    proper backwards compatibility. Closes: #522227.

 -- Ola Lundqvist <opal@debian.org>  Fri, 03 Apr 2009 07:13:51 +0200

debarchiver (0.9.2) unstable; urgency=low

  * Changed dependency on mail functionality to a recommendation. Also
    added exim4 and mail-transport-agent to the list due to the recent
    patch from Franck Joncourt.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Mar 2009 06:39:56 +0100

debarchiver (0.9.1) unstable; urgency=low

  * Correction of syntax error. Closes: #520145.

 -- Ola Lundqvist <opal@debian.org>  Tue, 17 Mar 2009 22:19:19 +0100

debarchiver (0.9.0) unstable; urgency=low

  * Applied patch from Franck Joncourt for sendmail support instead of
    mail support. Closes: #517689.
  * Updated manpage for debarchiver to print out the default instead
    of erroneously printing the variable name. Closes: #447843.
  * Clarified error messages. Closes: #437147.
  * Corrected spelling debian to Debian in package description.
  * Copyright file is now UTF-8 encoded instead of ISO-8859-1 coded.
  * Postinst file now use user:group syntax for chown operation instead of
    previous user.group syntax.
  * Now uses compat file instead of setting DH_COMPAT variable in rules file.
  * Use standards version 3.8.0.
  * Added 5 override exceptions for lintian warnings. They are intentional.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Mar 2009 21:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: perl (>= 5.6.0-16), po4a
 Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: debarchiver
 Architecture: all
-Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, mailutils | bsd-mailx | mailx
+Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
+Recomments: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
 Suggests: devscripts, gnupg
-Description: Tool to handle debian package archives
+Description: Tool to handle Debian package archives
  This tool can create a potato like file structure that dselect,
  apt-get and similar tools can use for easier installation.
  .

## debarchiver 0.9.6

=== po4a/Makefile ===
--- 
+++ 
@@ -24,16 +24,19 @@
 	podselect ../src/debarchiver.pl > $@
 
 debarchiver.fr.pod:
-	po4a po4a.cfg
+	po4a -L UTF-8 -A UTF-8 po4a.cfg
 
 debarchiver.1: debarchiver.pod
-	pod2man	--section=1 \
+	pod2man	--center="Debarchiver" \
+		--section=1 \
                 --release="Debarchiver " \
 		--date="$(DDATE)" \
 		$^ > $@
 
 debarchiver.fr.1: debarchiver.fr.pod
-	pod2man	--section=1 \
+	pod2man	--utf8 \
+		--center="Debarchiver" \
+		--section=1 \
 		--release="Debarchiver " \
 		--date="$(DDATE)" \
 		$^ > $@

=== debian/changelog ===
debarchiver (0.9.6) unstable; urgency=low

  * Solved a misspelling of recomments to recommends in the control
    file. Closes: #604432.

 -- Ola Lundqvist <opal@debian.org>  Mon, 22 Nov 2010 18:04:56 +0100

debarchiver (0.9.5) unstable; urgency=low

  * Correction of debug for sendlist. Extended the suggestion from Mats
    to make sure the list is properly ordered.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Nov 2010 21:39:44 +0100

debarchiver (0.9.4) unstable; urgency=low

  * Applied patch for french language translation. Closes: #601185.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Nov 2010 21:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: debarchiver
 Architecture: all
 Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
-Recomments: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
+Recommends: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
 Suggests: devscripts, gnupg
 Description: Tool to handle Debian package archives
  This tool can create a potato like file structure that dselect,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -42,6 +41,9 @@
 
 	# Add here commands to install the package into debian/debarchiver.
 	$(MAKE) install	DESTDIR=$(CURDIR)/debian/debarchiver
+	mkdir -p $(CURDIR)/debian/debarchiver/usr/share/lintian/overrides
+	install -m644 debian/debarchiver.override \
+		$(CURDIR)/debian/debarchiver/usr/share/lintian/overrides/debarchiver
 
 binary-arch:

## debarchiver 0.9.10

=== debian/changelog ===
debarchiver (0.9.10) unstable; urgency=low

  * Spelling correction in manual.

 -- Ola Lundqvist <opal@debian.org>  Sun, 06 Nov 2011 20:30:19 +0100

debarchiver (0.9.9) unstable; urgency=low

  * Updated French and German translation. Thanks to Valéry Perrin
    <valery.perrin.debian@free.fr> and Helge Kreutzmann
    <debian@helgefjell.de> for translation and support.

 -- Ola Lundqvist <opal@debian.org>  Sun, 06 Nov 2011 20:14:27 +0100

debarchiver (0.9.8) unstable; urgency=low

  * German translation included. Closes: #640236. Thanks to Helge
    Kreutzmann <debian@helgefjell.de> for the translation.

 -- Ola Lundqvist <opal@debian.org>  Thu, 03 Nov 2011 16:41:25 +0100

debarchiver (0.9.7) unstable; urgency=low

  * Improved english language in the documentation. Closes: #640235.
  * Updated to standards version 3.9.1 (from 3.8.0).
  * Using debhelper version 8.

 -- Ola Lundqvist <opal@debian.org>  Wed, 02 Nov 2011 22:15:14 +0100

## debarchiver 0.10.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+#
+#   Copyright (C) 2000-2008 Ola Lundqvist <ola@inguza.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+# MA 02110-1301 USA.
+
 DIRS=po4a conf src
 
 all install clean::

=== po4a/Makefile ===
--- 
+++ 
@@ -18,12 +18,15 @@
 
 export DDATE=`LANG=C date`
 
-all: debarchiver.1.gz debarchiver.fr.1.gz
+all: debarchiver.1.gz debarchiver.fr.1.gz debarchiver.de.1.gz
 
 debarchiver.pod:
 	podselect ../src/debarchiver.pl > $@
 
 debarchiver.fr.pod:
+	po4a -L UTF-8 -A UTF-8 po4a.cfg
+
+debarchiver.de.pod:
 	po4a -L UTF-8 -A UTF-8 po4a.cfg
 
 debarchiver.1: debarchiver.pod
@@ -41,6 +44,14 @@
 		--date="$(DDATE)" \
 		$^ > $@
 
+debarchiver.de.1: debarchiver.de.pod
+	pod2man	--utf8 \
+		--center="Debarchiver" \
+		--section=1 \
+		--release="Debarchiver " \
+		--date="$(DDATE)" \
+		$^ > $@
+
 %.1.gz: %.1
 	gzip -9 -c $^ > $@
 
@@ -51,6 +62,9 @@
 	mkdir -p $(DESTDIR)/usr/share/man/fr/man1
 	install -m644 debarchiver.fr.1.gz \
 		$(DESTDIR)/usr/share/man/fr/man1/debarchiver.1.gz
+	mkdir -p $(DESTDIR)/usr/share/man/de/man1
+	install -m644 debarchiver.de.1.gz \
+		$(DESTDIR)/usr/share/man/de/man1/debarchiver.1.gz
 
 clean:
 	-rm -f *.pod

=== debian/changelog ===
debarchiver (0.10.0) unstable; urgency=low

  * Support for mail sending when accepting or rejecting a deb only file.
  * Clarified that configuration strings shall be quoted.

 -- Ola Lundqvist <opal@debian.org>  Wed, 13 Nov 2013 22:18:29 +0100

debarchiver (0.9.13) unstable; urgency=low

  * Added verification of deb file completeness to make sure that it
    does not process incomplete deb files that is not part of a .changes
    file.

 -- Ola Lundqvist <opal@debian.org>  Wed, 06 Nov 2013 21:52:34 +0100

debarchiver (0.9.12) unstable; urgency=low

  * Applied fix from Uditha Atukorala <udi@geniusse.com> that solves a
    second error in the generated Release file. Closes: #724512.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Sep 2013 08:21:50 +0200

debarchiver (0.9.11) unstable; urgency=low

  * Applied fix from Uditha Atukorala <udi@geniusse.com> that solves a
    release name conflict in the generated Release file.
    Closes: #724316. Thanks a lot for the patch.

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Sep 2013 19:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: perl (>= 5.6.0-16), po4a
-Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.1
 
 Package: debarchiver
 Architecture: all
-Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser
+Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, ${misc:Depends}
 Recommends: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
 Suggests: devscripts, gnupg
 Description: Tool to handle Debian package archives

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/debarchiver.

## debarchiver 0.10.1

=== debian/changelog ===
debarchiver (0.10.1) unstable; urgency=low

  * Added the option APT::FTPArchive::AlwaysStat = true to all calls to
    apt-ftparchive to make sure the correct Package files are always
    generated. This has been a problem in certain cases and is hard to
    find the reason for.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Feb 2014 23:21:08 +0100

## debarchiver 0.10.2

=== po4a/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2000-2008 Ola Lundqvist <ola@inguza.com>
+#   Copyright (C) 2000-2008,2014 Ola Lundqvist <ola@inguza.com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,12 +18,15 @@
 
 export DDATE=`LANG=C date`
 
-all: debarchiver.1.gz debarchiver.fr.1.gz debarchiver.de.1.gz
+all: debarchiver.1.gz debarchiver.fr.1.gz debarchiver.de.1.gz debarchiver.pt.1.gz
 
 debarchiver.pod:
 	podselect ../src/debarchiver.pl > $@
 
 debarchiver.fr.pod:
+	po4a -L UTF-8 -A UTF-8 po4a.cfg
+
+debarchiver.pt.pod:
 	po4a -L UTF-8 -A UTF-8 po4a.cfg
 
 debarchiver.de.pod:
@@ -52,6 +55,14 @@
 		--date="$(DDATE)" \
 		$^ > $@
 
+debarchiver.pt.1: debarchiver.pt.pod
+	pod2man	--utf8 \
+		--center="Debarchiver" \
+		--section=1 \
+		--release="Debarchiver " \
+		--date="$(DDATE)" \
+		$^ > $@
+
 %.1.gz: %.1
 	gzip -9 -c $^ > $@
 
@@ -65,6 +76,9 @@
 	mkdir -p $(DESTDIR)/usr/share/man/de/man1
 	install -m644 debarchiver.de.1.gz \
 		$(DESTDIR)/usr/share/man/de/man1/debarchiver.1.gz
+	mkdir -p $(DESTDIR)/usr/share/man/pt/man1
+	install -m644 debarchiver.pt.1.gz \
+		$(DESTDIR)/usr/share/man/pt/man1/debarchiver.1.gz
 
 clean:
 	-rm -f *.pod

=== debian/changelog ===
debarchiver (0.10.2) unstable; urgency=low

  * Portuguese translation for debarchiver's manpage. Thanks to Américo
    Monteiro <a_monteiro@gmx.com> for the translation. Closes: #756346.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2014 22:28:02 +0200

## debarchiver 0.10.3

=== debian/changelog ===
debarchiver (0.10.3) unstable; urgency=low

  * Added a check so that in case dpkg-deb -f can not parse the file,
    the file will be rejected. This is to ensure that packages are not
    sorted to wrong place when there is for example a disk outage.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Nov 2014 22:01:44 +0100
